> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getBlockByHash on Base

> eth_getBlockByHash returns block information by block hash on Base, via GoldRush JSON-RPC.

> [card] 0.01 credits per call

`eth_getBlockByHash` on **Base**: Returns block information by block hash.

## Endpoint

```
https://rpc.goldrushdata.com/v1/base-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

| Name | Type | Required | Description | Example |
| - | - | - | - | - |
| `blockHash` | `DATA, 32 bytes` | yes | Hash of the block. | `"0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35"` |
| `hydrated` | `Boolean` | yes | If `true`, returns full transaction objects; if `false`, only transaction hashes. | `false` |

## Returns

`Object | null`: Block object, or `null` if no block was found.

```json theme={null}
{"number":"0x14a3b8c","hash":"0xb3b20624...","parentHash":"0xa1c2...","transactions":["0x..."]}
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/base-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_getBlockByHash",
    "params": ["0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35", false]
  }'
```

```typescript ethers v6 theme={null}
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/base-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("eth_getBlockByHash", ["0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35", false]);
console.log(result);
```

```typescript viem theme={null}
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/base-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "eth_getBlockByHash",
  params: ["0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35", false],
});
console.log(result);
```

```javascript web3.js theme={null}
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/base-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "eth_getBlockByHash",
  params: ["0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35", false],
});
console.log(result);
```

```python web3.py theme={null}
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/base-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("eth_getBlockByHash", ["0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35", false])
print(result)
```

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Blocks info methods on Base

* [`eth_blockNumber` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/eth-blocknumber)
* [`eth_getBlockByNumber` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/eth-getblockbynumber)
* [`eth_getBlockTransactionCountByHash` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/eth-getblocktransactioncountbyhash)
* [`eth_getBlockTransactionCountByNumber` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/eth-getblocktransactioncountbynumber)

## Also available on

* [`eth_getBlockByHash` on Ethereum](https://goldrush.dev/docs/api-reference/json-rpc/ethereum/eth-getblockbyhash)
* [`eth_getBlockByHash` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/eth-getblockbyhash)
* [`eth_getBlockByHash` on BNB Smart Chain (BSC)](https://goldrush.dev/docs/api-reference/json-rpc/bsc/eth-getblockbyhash)
* [`eth_getBlockByHash` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-getblockbyhash)
* [`eth_getBlockByHash` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-getblockbyhash)
* [`eth_getBlockByHash` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/eth-getblockbyhash)
* [`eth_getBlockByHash` on Monad](https://goldrush.dev/docs/api-reference/json-rpc/monad/eth-getblockbyhash)
* [`eth_getBlockByHash` on Tempo](https://goldrush.dev/docs/api-reference/json-rpc/tempo/eth-getblockbyhash)
* [`eth_getBlockByHash` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/eth-getblockbyhash)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.